petsc-3.12.4 2020-02-04
Report Typos and Errors

# MATAIJCUSPARSE

MATMPIAIJCUSPARSE = "aijcusparse" = "mpiaijcusparse" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be in either CSR, ELL, or Hybrid format. The ELL and HYB formats require CUDA 4.2 or later. All matrix calculations are performed on Nvidia GPUs using the CUSPARSE library.

This matrix type is identical to MATSEQAIJCUSPARSE when constructed with a single process communicator, and MATMPIAIJCUSPARSE otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation is supported, and similarly MatMPIAIJSetPreallocation is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

| -mat_type mpiaijcusparse | - sets the matrix type to "mpiaijcusparse" during a call to MatSetFromOptions()
| -mat_cusparse_storage_format csr | - sets the storage format of diagonal and off-diagonal matrices during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid).
| -mat_cusparse_mult_diag_storage_format csr | - sets the storage format of diagonal matrix during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid).
| -mat_cusparse_mult_offdiag_storage_format csr | - sets the storage format of off-diagonal matrix during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid).

.seealso: MatCreateAIJCUSPARSE(), MATSEQAIJCUSPARSE, MatCreateSeqAIJCUSPARSE(), MatCUSPARSESetFormat(), MatCUSPARSEStorageFormat, MatCUSPARSEFormatOperation M

### Level

beginner

### Location

src/mat/impls/aij/mpi/mpicusparse/mpiaijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages